<?php
/*
Автор скрипта: Juse
http://mafix.ru
Модификация: Jasis
http://mirmastera.ru
Глобальное обновление от Pillott
http://delowap.ru
admin@delowap.ru
-------
Установка
Распаковать архив в корень и перейти по адресу http://ваш_сайт.ru/panelka/
Логин: admin
Пароль: 12345
Потом смените в настройках
-------
*/


include_once"config.php";
include_once"head.php";
echo'<div class="phdr"><b>Меню</b><br/></div>';
echo '<div class="list2">';

if (!isset($_GET['action'])){echo'
<a href="?action=menu">Логин/Пароль</a><br>
<a href="?action=other">Прочие настройки</a><br/>';
echo '<a href="faq.php">FAQ</a><br/>';
echo'<a href="?action=exit">Выход</a><br><br>';
echo'<b><a href="index.php">Файловый менеджер</a></b><br>';}
if ($_GET['action']=="other"){
echo'<form action="?action=others" method="post" />';
echo'<br>Число строк на страницу в редакторе:<br><input tupe="text" name="str" value="'.(int)$udata[2].'">';
echo'<input type="submit" value="Изменить" /></form>';
}
if ($_GET['action']=="exit"){
@SetCookie("cookielog","");
@SetCookie("cookiepass","");
header("Location: index.php"); }
if ($_GET['action']=="others"){ 
if ($_POST['str']==""){echo'Вы забыли ввести число!<br>* <a href="?action=other">Назад</a><br>';
echo'<a href="index.php">Файловый менеджер</a><br>';include_once"foot.php";exit;}
if(eregi("[^0-9]",$_POST['str'])){
echo'Не правильный ввод! Нужно вводить только числа!<br>* <a href="?action=other">Назад</a><br>';
echo'<a href="index.php">Файловый менеджер</a><br>'; include_once"foot.php"; exit;}
if($_POST['str']>100){
echo'Не правильный ввод! Максимальное число 100 строк на страницу!<br>* <a href="?action=other">Назад</a><br>';
echo'* <a href="index.php">Файловый менеджер</a><br>';include_once"foot.php";exit;}
$text=$udata[0].'|'.$udata[1].'|'.$_POST['str'].'|';
$fp=fopen("data/user.dat","w");
flock ($fp,LOCK_EX);
fputs($fp,"$text\r\n");
flock ($fp,LOCK_UN);
fclose($fp);
chmod($fp,666);
echo'<br><b>Данные успешно изменены!</b><br><br> <a href="menu.php">К настройкам</a><br><a href="index.php">Файловый менеджер</a><br>';

}
if ($_GET['action']=="menu"){ 
echo'<form action="?action=nastr" method="post" />';
echo'Старый логин:<br><input tupe="text" name="log">';
echo'Новый логин:<br><input tupe="text" name="logs">';
echo'Старый пароль:<br><input tupe="text" name="par">';
echo'Новый пароль:<br><input tupe="text" name="pars"><br>';
echo'<input type="submit" value="Изменить" /></form><br><a href="index.php">В менеджер</a><br>';
}
if ($_GET['action']=="nastr"){
if ($_POST['logs']==""){echo'Не введены важные данные! <b>(Логин)</b><br>* <a href="index.php">В менеджер</a><br>* <a href="?">Вернуться</a><br>';include_once"foot.php";exit;}
if (md5(md5($_POST['log']))!=$udata[0]){echo'Ошибка! Не верно введён <b>старый логин</b><br><a href="index.php">В менеджер</a><br>* <a href="?">Вернуться</a><br>';include_once"foot.php";exit;}
if (md5(md5($_POST['par']))!=$udata[1]){echo'Ошибка! Не верно введён <b>старый пароль</b><br>* <a href="index.php">В менеджер</a><br>* <a href="?">Вернуться</a><br>';include_once"foot.php";exit;}
if ($_POST['pars']==""){echo'Не введены важные данные! <b>(Пароль)</b><br>* <a href="index.php">В менеджер</a><br>* <a href="?">Вернуться</a><br>';include_once"foot.php";exit;}
$_POST['logs']=md5(md5(htmlspecialchars($_POST['logs'])));
$_POST['pars']=md5(md5(htmlspecialchars($_POST['pars'])));
$text=$_POST['logs'].'|'.$_POST['pars'].'|'.$udata[2].'|';
$text=no_br($text);
$fp=fopen("data/user.dat","w");
flock ($fp,LOCK_EX);
fputs($fp,"$text\r\n");
flock ($fp,LOCK_UN);
fclose($fp);
chmod($fp,666);
echo'<br><b>Данные успешно изменены</b><br>';
echo'<br><a href="index.php">В менеджер</a><br>
* <a href="?">Вернуться</a><br>';
}
echo '</div>';
include_once"foot.php";
?>